attempt to call string 'run_apt_upgrade' when testing proposed

Bug #1796968 reported by Scott Moser on 2018-10-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
curtin
High
Unassigned
curtin (Ubuntu)
High
Unassigned

Bug Description

our vmtest proposed tests failed here
 https://jenkins.ubuntu.com/server/job/curtin-vmtest-devel-amd64-proposed/16/console

those essentially get run like

+ ./tools/jenkins-runner -p4
CURTIN_VMTEST_ADD_REPOS=proposed
CURTIN_VMTEST_CURTIN_EXE_VERSION=18.1-56-g3aafe77d
CURTIN_VMTEST_CURTIN_VERSION=18.1-56-g3aafe77d
CURTIN_VMTEST_IMAGE_SYNC=0
CURTIN_VMTEST_ISCSI_PORTAL=10.247.8.15:12953
CURTIN_VMTEST_KEEP_DATA_FAIL=logs,collect
CURTIN_VMTEST_KEEP_DATA_PASS=logs,collect
CURTIN_VMTEST_LOG=/var/lib/jenkins/slaves/torkoal/workspace/curtin-vmtest-devel-amd64-proposed/output/debug.log
CURTIN_VMTEST_PARALLEL=4
CURTIN_VMTEST_REUSE_TOPDIR=0
CURTIN_VMTEST_TAR_DISKS=0
CURTIN_VMTEST_TOPDIR=/var/lib/jenkins/slaves/torkoal/workspace/curtin-vmtest-devel-amd64-proposed/output
TGT_IPC_SOCKET=/var/lib/jenkins/slaves/torkoal/workspace/curtin-vmtest-devel-amd64-proposed/output/tgt.d/socket
TGT_LOG_D=/var/lib/jenkins/slaves/torkoal/workspace/curtin-vmtest-devel-amd64-proposed/output/tgt.d
TGT_PID=28238
TGT_PORTAL=10.247.8.15:12953
http_proxy=
https_proxy=
no_proxy=

they failed with

[ 225.127430] cloud-init[1478]: start: cmd-install/stage-curthooks/builtin/cmd-curthooks/system-upgrade: updating packages on target system
[ 225.129420] cloud-init[1478]: Upgrading system in /tmp/tmp2aeit0m_/target
[ 225.130858] cloud-init[1478]: finish: cmd-install/stage-curthooks/builtin/cmd-curthooks/system-upgrade: FAIL: updating packages on target system
[ 225.132990] cloud-init[1478]: finish: cmd-install/stage-curthooks/builtin/cmd-curthooks: FAIL: curtin command curthooks
[ 225.135451] cloud-init[1478]: Traceback (most recent call last):
[ 225.136861] cloud-init[1478]: File "/curtin/curtin/commands/main.py", line 201, in main
[ 225.138425] cloud-init[1478]: ret = args.func(args)
[ 225.139750] cloud-init[1478]: File "/curtin/curtin/commands/curthooks.py", line 1290, in curthooks
[ 225.141426] cloud-init[1478]: builtin_curthooks(cfg, target, state)
[ 225.142868] cloud-init[1478]: File "/curtin/curtin/commands/curthooks.py", line 1208, in builtin_curthooks
[ 225.144960] cloud-init[1478]: system_upgrade(cfg, target, osfamily=osfamily)
[ 225.146461] cloud-init[1478]: File "/curtin/curtin/commands/curthooks.py", line 784, in system_upgrade
[ 225.148194] cloud-init[1478]: distro.system_upgrade(target=target, osfamily=osfamily)
[ 225.150028] cloud-init[1478]: File "/curtin/curtin/distro.py", line 352, in system_upgrade
[ 225.152109] cloud-init[1478]: env=env, allow_daemons=allow_daemons)
2018-10-07 04:35:05,709 - XenialTestAptSrcCustom - ERROR - Context:
[ 225.154956] cloud-init[1478]: 'str' object is not callable
[ 225.156333] cloud-init[1478]:

Related branches

Scott Moser (smoser) on 2018-10-09
Changed in curtin:
status: New → Confirmed
Changed in curtin (Ubuntu):
status: New → Confirmed
Changed in curtin:
importance: Undecided → High
Changed in curtin (Ubuntu):
importance: Undecided → High
Ryan Harper (raharper) on 2018-10-09
Changed in curtin:
status: Confirmed → In Progress

This bug is fixed with commit 0f993084 to curtin on branch master.
To view that commit see the following URL:
https://git.launchpad.net/curtin/commit/?id=0f993084

Changed in curtin:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 18.1-59-g0f993084-0ubuntu1

---------------
curtin (18.1-59-g0f993084-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - distro: fix system_upgrade command using string instead of function
      (LP: #1796968)
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.

 -- Ryan Harper <email address hidden> Wed, 10 Oct 2018 11:22:30 -0500

Changed in curtin (Ubuntu):
status: Confirmed → Fix Released

This bug is believed to be fixed in curtin in version 18.2. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in curtin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers